Groovy JDK

## java.lang
Class Thread

Method Summary
`static Thread` | `start(Closure closure)` Start a Thread with the given closure as a Runnable instance.
`static Thread` | `start(String name, Closure closure)` Start a Thread with a given name and the given closure as a Runnable instance.
`static Thread` | `startDaemon(Closure closure)` Start a daemon Thread with the given closure as a Runnable instance.
`static Thread` | `startDaemon(String name, Closure closure)` Start a daemon Thread with a given name and the given closure as a Runnable instance.

Method Detail

### start

    public static Thread start(Closure closure)

  Start a Thread with the given closure as a Runnable instance.

Parameters:
  `closure` - the Runnable closure.

Returns:
  the started thread

Since:
  1.0

### start

    public static Thread start(String name, Closure closure)

  Start a Thread with a given name and the given closure as a Runnable instance.

Parameters:
  `name` - the name to give the thread.
  `closure` - the Runnable closure.

Returns:
  the started thread

Since:
  1.6

### startDaemon

    public static Thread startDaemon(Closure closure)

  Start a daemon Thread with the given closure as a Runnable instance.

Parameters:
  `closure` - the Runnable closure.

Returns:
  the started thread

Since:
  1.0

### startDaemon

    public static Thread startDaemon(String name, Closure closure)

  Start a daemon Thread with a given name and the given closure as a Runnable instance.

Parameters:
  `name` - the name to give the thread.
  `closure` - the Runnable closure.

Returns:
  the started thread

Since:
  1.6

Groovy JDK